Articles of eclipse

属性“titleTextStyle”已经定义?

我已经将一个eclipse android项目导入android studio 1.2.2我的项目的gradle: dependencies { compile project(‘:unifiedPreferenceLib’) compile project(‘:viewPagerIndicatorLib’) compile project(‘:slidingUpFourSquare’) compile project(‘:stylishDialogLib’) compile project(‘:swipeListViewLib’) compile project(‘:library’) compile project(‘:textDrawLib’) compile project(‘:cardview’) compile project(‘:editTextFormLibrary’) compile ‘com.android.support:support-v4:22.2.0’ compile ‘com.actionbarsherlock:actionbarsherlock:4.4.0@aar’ compile ‘com.google.android.gms:play-services:+’ compile files(‘libs/CWAC-LocationPoller.jar’) compile files(‘libs/Parse-1.8.0.jar’) compile files(‘libs/ParseCrashReporting-1.8.0.jar’) compile files(‘libs/android-support-v13.jar’) compile files(‘libs/blurnavdrawerlib.jar’) compile files(‘libs/bolts-android-1.1.4.jar’) compile files(‘libs/google-http-client-1.15.0-rc.jar’) compile files(‘libs/google-http-client-android-1.15.0-rc.jar’) compile files(‘libs/google-http-client-jackson2-1.15.0-rc.jar’) compile files(‘libs/loremipsum-1.0.jar’) compile files(‘libs/splunk-mint-4.0.8.jar’) compile files(‘libs/textdrawlib.jar’) } […]

Android eclipse编辑器:无法编辑属性

从今天早上起,我面临着一个奇怪的,生产力下降的问题。 无法通过属性编辑器编辑没有预填充属性的属性。 (例如,边距)我每次都需要在视图和XML编辑器之间切换,以实现世界上最小的变化,因为我只能从XML中进行更改。 我尝试了所有的东西(重启eclipse,每次点击字段中的组合等……)。 真烦人 属性编辑器: 更新:听起来像是与Mountain Lion有关的问题,所以我们必须等待ADT插件更新?

Eclipse Android模拟器 – 键盘无法正常工作

我刚刚更新到最新的SDK版本16使用最新版本的API(16)创建了一个新版本的AVD,我的硬件键盘在模拟器上不再起作用(甚至我的其他avd使用旧版本的sdk )。 任何想法如何解决这一问题?

‘不支持的模板依赖:使用SDK Tools v22升级您的Android Eclipse插件’

我最近将我的Android SDK工具升级到了22版。但是每当我尝试在Eclipse中创建一个新项目时,我都会收到一条错误消息: 不受支持的模板依赖性:升级您的Android Eclipse插件 我该如何解决这个问题?

扩展类和android.support.v7.widget.CardView时出错

我想在我的项目中使用CardView,但是当我运行我的应用程序时,我收到以下错误。 我正在使用Eclipse 。 Error: Error inflating class and android.support.v7.widget.CardView The graphical view of my xml file says ‘The following classes could not be instantiated: – android.support.v7.widget.CardView (Open Class, Show Error Log) See the Error Log (Window > Show View) for more details.’ 请帮忙。 这是我使用CardView片段的布局 这是我的活动的布局。 这是我的logcat FATAL EXCEPTION: main java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.log/com.example.log.HomeScreenActivity}: […]

Eclipse – 使用Android 7清空Logcat

我最近将我的Nexus 9平板电脑更新为Android 7 Nougat。 从那时起,Eclipse中的Logcat视图停止显示Logcat消息,视图保持为空。 设备目标也显示为“未知”。 如果我在Eclipse外部启动Logcat(AndroidSDK-> tools-> ddms),它会显示所有消息。 但是,“应用程序”列保持为空。 关于这个主题已经有一些(较旧的)问题在这里,但这里没有一个解决方案适合我。 我尝试了什么: 使用另一个USB端口 将设备聚焦在DDMS透视图中 重启Eclipse 重启设备+电脑 abd kill-server 禁用并重新启用设备上的USB Debuging 重置USB-Debuging授权并再次确认RSA指纹 将USB模式切换为“MTP” Android SDK中每个安装的软件包都是最新的,我使用最新的Eclipse + ADT插件。 我的Galaxy S5 Mini(Android 5.1.1)也能正常运行。 我知道,ADT-Plugin已被弃用,我们应该使用Android Studio。 但是我仍然尽可能长时间地使用Eclipse,所以我正在寻找解决这个问题的方法。 那么有谁知道如何解决这个问题?

复制android项目的最快方法?

在工作区中复制现有android项目的最快方法是什么,将该项目(使用新名称)复制到工作区? 我已经有了将SDK示例项目复制到工作空间的方法,但它涉及一个中间步骤,其中项目是“从现有源创建的”,而不是工作空间的临时文件夹。 有更短的方式吗?

材质设计向后兼容性android:colorAccent在使用appcompat7时需要API级别21

我在eclipse中有一个maven android项目,即使我已经将我的项目配置为使用兼容性库,它仍然在我的styles.xml中给出以下错误: android:colorAccent requires API level 21 (current min is 15) android:colorPrimary requires API level 21 (current min is 15) android:colorPrimaryDark requires API level 21 (current min is 15) style.xml @color/primary @color/primary_dark @color/accent AndroidManifest.xml中 package=”com.app” android:versionCode=”1″ android:versionName=”0.0.1-SNAPSHOT” > 的pom.xml ${project.artifactId} com.jayway.maven.plugins.android.generation2 android-maven-plugin ${android.plugin.version} true com.jayway.maven.plugins.android.generation2 android-maven-plugin 21 我希望我的应用程序材料设计function具有向后兼容性支持。 我怎样才能解决这个问题?

什么启用Android Eclipse LogCat?

LogCat窗口已打开。 有时LogCat显示Log消息,有时它不显示,无论是否附加了物理目标。 是否在调试环境中的某处启用/禁用日志?

如何在我的Android应用程序(eclipse)中实现和使用google cloud sql

这看起来像一个愚蠢的问题,看起来我似乎没有find答案但是。 问题是我正在开发一个Android应用程序,并且在某个时刻我是新的 Google Cloud SQL 和 Google App Engine 所以我看了20-30教程并开始实现,但现在我卡住了,可以find没有教程,显示一步一步的简单的Android代码。 这就是我所做的以及我现在所处的位置: -my android app工作得很好,没有一个错误 – 创建了一个app引擎项目 – 转而使用Google Cloud SQL服务及其API服务并为此付费 – 在云中创建一个实例 – 并且“通过api控制台”在我的实例中创建了一个表和一个小数据库 生成为我的应用程序包支持的App Engine 而这就是我被卡住的地方! 我不知道如何使用生成的文件,如何工作,如何通过我的应用程序访问云中的表,可能会发现没有教程解释这是怎么发生的,所有教程都跳过这一步,好像它是世界上最简单的事情。 我只是想知道事情是如何协同工作的? 在哪里使用方法,我需要做什么才能从云中的实例中的表中获取数据… 我甚至会感谢任何链接:)谢谢。